# Configuration file for Synapse.
#
# This is a YAML file: see [1] for a quick introduction. Note in particular
# that *indentation is important*: all the elements of a list or dictionary
# should have the same indentation.
#
# [1] https://docs.ansible.com/ansible/latest/reference_appendices/YAMLSyntax.html
#
# For more information on how to configure Synapse, including a complete accounting of
# each option, go to docs/usage/configuration/config_documentation.md or
# https://matrix-org.github.io/synapse/latest/usage/configuration/config_documentation.html
server_name: "freedombox.be"
pid_file: /data/homeserver.pid
listeners:
  - port: 8008
    tls: false
    type: http
    x_forwarded: true
    resources:
      - names: [client, federation]
        compress: false
#database:
#  name: psycopg2
#  args:
#    user: synapse
#    password: synapse
#    database: synapse
#    host: 192.168.0.23
#    port: 5432
#    cp_min: 5
#    cp_max: 10
database:
  name: sqlite3
  args:
    database: /data/homeserver.db
log_config: "/data/freedombox.be.log.config"
media_store_path: /data/media_store
registration_shared_secret: "3#wsvOTJxqPTEIH5@mq1Vb^.6A~wbb@-7m#xv_Wao9-JLJ_.C1"
report_stats: true
macaroon_secret_key: "8uRGRXxy&5bBfsseq~1iiJfuNZj8+EI2d:2Yy62jJ,oX=z1l.g"
form_secret: "0BPdiBecdZnq7PTw-bK,B;aWD2&e@:X,OZ80a;ksxP0C+P@FEu"
signing_key_path: "/data/freedombox.be.signing.key"
trusted_key_servers:
  - server_name: "matrix.org"
enable_registration: false
enable_registration_without_verification: true
max_upload_size: "3G"
allow_unsafe_locale: true
# vim:ft=yaml
#email:
#  smtp_host: smtp-mail.outlook.com
#  smtp_port: 587
#  smtp_user: "freedombox.be"
#  smtp_pass: "S*VBdq;cuJ9!H8Xe"
#  force_tls: false
#  require_transport_security: true
#  enable_tls: false
#  notif_from: "Your Friendly %(app)s homeserver <freedombox.be@gmail.com>"
#  app_name: Freedombox Chat Server
#  enable_notifs: false
#  notif_for_new_users: false
#  client_base_url: "https://app.element.io/"
#  validation_token_lifetime: 15m
#  invite_client_location: https://app.element.io

experimental_features:
  faster_joins: True
  sliding_sync:
    enabled: true

